Package org.italiangrid.voms.request

# Interface VOMSESParser

All Known Implementing Classes:
  `LegacyVOMSESParserImpl`

public interface VOMSESParser
A VOMSES file parser.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`List<VOMSServerInfo>`
`parse(File f)`
Parses the VOMS contact information from the `File` passed as argument.
`List<VOMSServerInfo>`
`parse(Reader vomsesReader)`
Parses the VOMS contact information from the `Reader` passed as argument.

## Method Details

### parse

List<VOMSServerInfo> parse(Reader vomsesReader)
Parses the VOMS contact information from the `Reader` passed as argument.

Parameters:
  `vomsesReader` - the `Reader` object where voms contact information can be read from.
Returns:
  a `VOMSServerInfo` object containing the VOMS server contact information.
Throws:
  `VOMSError` - in case of parsing errors

### parse

List<VOMSServerInfo> parse(File f)
Parses the VOMS contact information from the `File` passed as argument.

Parameters:
  `f` - the `File` object where voms contact information can be read from.
Returns:
  a `VOMSServerInfo` object containing the VOMS server contact information.
Throws:
  `VOMSError` - in case of parsing errors